curl --request POST \
--url https://api.entendre.finance/v1/classifications \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"transaction_ids": [
"txn_507f1f77bcf86cd799439011"
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({transaction_ids: ['txn_507f1f77bcf86cd799439011']})
};
fetch('https://api.entendre.finance/v1/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/classifications"
payload = { "transaction_ids": ["txn_507f1f77bcf86cd799439011"] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"job_id": "cls_507f1f77bcf86cd799439011",
"status": "queued",
"type": "classification"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Classify transactions
Classifies a batch of transactions and posts the eligible journals.
curl --request POST \
--url https://api.entendre.finance/v1/classifications \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"transaction_ids": [
"txn_507f1f77bcf86cd799439011"
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({transaction_ids: ['txn_507f1f77bcf86cd799439011']})
};
fetch('https://api.entendre.finance/v1/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/classifications"
payload = { "transaction_ids": ["txn_507f1f77bcf86cd799439011"] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"job_id": "cls_507f1f77bcf86cd799439011",
"status": "queued",
"type": "classification"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
1 - 255Body
OT-#### transaction sequence numbers—the easiest way to target exact transactions.
100^OT-[0-9]+$Transaction IDs (txn_…).
100^txn_Inclusive ISO date. Must be paired with date_to; the range may not exceed 92 days.
Inclusive ISO date. Must be paired with date_from; the range may not exceed 92 days.
Source IDs (fac_…). Use source_types to filter by platform.
100^fac_Source types, such as WALLET, BANK_SOURCE, RAMP_CARD, RAINCARD, or EXCHANGE_SOURCE.
30WALLET, EXCHANGE_SOURCE, RAINCARD, STAKING_SOURCE, RAIN_BILL_PAY, NIURAL_SOURCE, FIREBLOCKS, BANK_SOURCE, RAMP_CARD, RAMP_BANK_ACCOUNT, RAMP_STATEMENT, RAMP_REIMBURSEMENT, MANUAL_BANK_STATEMENT, MANUAL_EXCHANGE_STATEMENT, FINCH_PAYROLL, STRIPE Legal entities (le_…).
100^le_Transaction types. Transfer values use spaces: INTERNAL TRANSFER and INTERCOMPANY TRANSFER.
30SWAP, NON_TAXABLE_CONVERSION, DEPOSIT, WITHDRAWAL, BRIDGE, INTERCOMPANY TRANSFER, INTERNAL TRANSFER, FEE, MINTING, SPAM, NFT, UNKNOWN, STAKING_REWARD, VALIDATOR_REWARD, INVOICE, BILL, CLAIM REWARD, BORROW, RESERVES CHANGE, REPAYMENT, REALIZED_PNL, INCOME, EXPENSE, REFUND, CHARGEBACK Case-insensitive text search. Must be accompanied by unaccounted_only: false.
1 - 256Only transactions without journal entries. Defaults to true outside search mode.
Minimum confidence for automatic classification. Defaults to 0.85.
0 <= x <= 1Response
Accepted. Check the progress and results with Get classification status, at the Location URL.
Show child attributes
Show child attributes